%define pkgname WWW-Wikipedia
%define maketest 1

Name:      perl-%pkgname
Summary:   Automated interface to the Wikipedia
Version: 1.8
Release: 1mdk
License:   Artistic
Group:     Development/Perl
URL:       http://search.cpan.org/dist/%pkgname
Buildroot: %{_tmppath}/%{name}-%{version}
Buildarch: noarch
Source:    http://search.cpan.org/CPAN/authors/id/E/ES/ESUMMERS/%pkgname-%version.tar.bz2

%description
WWW::Wikipedia provides an automated interface to the Wikipedia 
http://www.wikipedia.org, which is a free, collaborative, online 
encyclopedia. This module allows you to search for a topic and return the 
resulting entry. It also gives you access to related topics which are also 
available via the Wikipedia for that entry.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/*/*
%perl_vendorlib/*


%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdk
- New release 1.8

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- new release 
- fix sources url for rpmbuildupdate
- fix url

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-1mdk
- initial release
